## glib2.0 2.52.0

=== debian/changelog ===
glib2.0 (2.52.0-1) experimental; urgency=medium

  * New upstream release 2.52.0
  * d/p/tests-gdatetime-Use-a-real-rather-than-invented-time.patch: Drop,
    applied in this release.

 -- Iain Lane <laney@debian.org>  Mon, 20 Mar 2017 17:14:29 +0000

glib2.0 (2.51.5-1) experimental; urgency=medium

  * New upstream release 2.51.5
  * Drop patches applied upstream in this release:
    - Install-gdb-Python-helpers-as-data-not-as-executable.patch
    - glib-mkenums-Sort-input-files-for-more-deterministic.patch
  * debian/patches/tests-gdatetime-Use-a-real-rather-than-invented-time.patch:
    Cherry-pick a patch from upstream to fix GDateTime tests when tzdata ≥
    2017a is in use.
  * debian/libglib2.0-dev.install: Install the gdb script for libglib-2.0.so.*
    into .../lib instead of .../usr/lib - it needs to match the installed path
    of the library and we put libglib-2.0.so.* into /lib.
  * debian/libglib2.0-0.symbols: Add g_content_type_is_mime_type

 -- Iain Lane <laney@debian.org>  Wed, 15 Mar 2017 13:55:41 +0000

glib2.0 (2.51.4-1) experimental; urgency=medium

  * Team upload
  * New upstream release 2.51.4 (and 2.51.3)
  * Build with dh instead of cdbs
    - Move to debhelper compat level 10
    - Use dpkg-buildflags variables to extend LDFLAGS
    - Enable bindnow hardening
    - Remove indirection via $(SHARED_PKG), etc. variables
    - Let dh_gnome_clean update the Uploaders instead of reinventing it
    - Install some missing files detected by dh_install --list-missing
    - Fix lintian warnings about useless use of dh-exec
    - debian/dh_listmissing.pl: Remove
  * Improve packaging for cross-compiling (Closes: #648621, #842442)
    - Move glib-genmarshal and related files to a new M-A:foreign package
      libglib2.0-dev-bin. Thanks to Helmut Grohne for the patch.
    - Additionally move gdbus-codegen and gtester-report to
      libglib2.0-dev-bin.  They are architecture-independent, so in
      particular clearly Multi-Arch: foreign; they aren't large enough to
      justify a separate Architecture: all package. This works around
      dh_python3's postinst snippet failing when used in a Multi-Arch: same
      package with more than one instance installed.
    - Move gtester to libglib2.0-dev-bin. It is a test-runner that can
      operate on any executable, and does not rely on a matching architecture.
    - Move gobject-query to libglib2.0-dev-bin. It prints the same things on
      all architectures, and it isn't clear what use it is; glib-2.0.m4
      checks for it and AC_SUBSTs it, but according to codesearch.debian.net
      no package actually seems to run it.
    - Make libglib2.0-dev Multi-Arch: same
  * Move gdb helpers from libglib2.0-0-dbg to libglib2.0-dev, move
    detached debug symbols from libglib2.0-0-dbg to autogenerated -dbgsym
    packages, and remove the libglib2.0-0-dbg binary package
  * Add support for noudeb build profile
    - Do not do the udeb build if the noudeb profile is selected,
      for faster test-builds
  * Fix assorted Lintian warnings
    - Add missing build-dependency on dh-python
      + remove obsolete Lintian override for mmissing B-D on python
    - Add Lintian overrides for some intentionally weird scripts used in tests
    - Do not install glib_gdb.py, gobject_gdb.py executable. They are
      libraries to be imported by the gdb hooks, not scripts.
    - Don't generate a ldconfig trigger for libglib2.0-tests, which does
      not contain any public shared libraries
  * Add patch to make glib-mkenums output more reproducible (Closes: #809152)
  * Explicitly build-depend on automake so that the aspcud resolver used for
    experimental does not decide automake1.11 is the best solution to
    a dependency on automake | automaken

 -- Simon McVittie <smcv@debian.org>  Sat, 04 Mar 2017 17:00:47 +0000

glib2.0 (2.51.2-1) experimental; urgency=medium

  * New upstream release 2.51.2 (& 2.51.1).
    + Minimal support for UUIDs has been added
    + A new file attribute, G_FILE_ATTRIBUTE_RECENT_MODIFIED has been added to
      improve sorting of recent files
    + glib-compile-resources grew a --generate-phony-targets flag
    + GLib now installs a valgrind suppressions file for GLib and GIO
  * debian/patches/skip-brokwn-dbus-appinfo-test.patch: Refresh (and fix the
    typo in the filename)
  * debian/libglib2.0-0.symbols: Add g_uuid* symbols which are new in this
    release

 -- Iain Lane <laney@debian.org>  Tue, 14 Feb 2017 14:16:05 +0000

glib2.0 (2.51.0-2) experimental; urgency=medium

  * Merge changes from 2.50.2-2:
    + debian/rules: disable libmount on !linux (Closes: #844052)
    + debian/patches/0001-Fix-trashing-on-overlayfs.patch: Update with new
      version from the upstream report to hopefully fix trashing of files in
      directories which are symlinks to different devices. (Closes: #800047)
      (LP: #1638245)

 -- Iain Lane <laney@debian.org>  Wed, 23 Nov 2016 17:36:07 +0000

glib2.0 (2.51.0-1) experimental; urgency=medium

  * debian/control{,.in}: Branch to experimental
  * debian/watch: Track unstable releases again.
  * New upstream release 2.51.0
    + glib-genmarshal and glib-mkenums have gained --output options for better
      build system integration
    + New API: g_utf8_make_valid
  * Update debian/libglib2.0-0.symbols.

 -- Iain Lane <laney@debian.org>  Wed, 16 Nov 2016 18:23:38 +0000
