=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: glib2.0
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 10~),
               dh-exec,
               dh-python,
               pkg-config (>= 0.16.0),
               gettext,
               automake,
               autotools-dev,
               gnome-pkg-tools (>= 0.11),
               dpkg-dev (>= 1.17.14),
               libelf-dev (>= 0.142),
               libmount-dev (>= 2.28) [linux-any],
               libpcre3-dev (>= 1:8.35),
               gtk-doc-tools (>= 1.20),
               libselinux1-dev [linux-any],
               linux-libc-dev [linux-any],
               libgamin-dev [!linux-any] | libfam-dev [!linux-any],
               zlib1g-dev,
               desktop-file-utils <!nocheck>,
               dbus <!nocheck>,
               shared-mime-info <!nocheck>,
               tzdata <!nocheck>,
               xterm <!nocheck>,
               python3:any (>= 2.7.5-5~),
               python3-dbus <!nocheck>,
               python3-gi <!nocheck>,
               libxml2-utils,
               xsltproc,
               docbook-xml,
               docbook-xsl,
               libffi-dev (>= 3.0.0)
Standards-Version: 3.9.8
Homepage: http://www.gtk.org/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/experimental/glib2.0/
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/experimental/glib2.0/

Package: libglib2.0-0
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: libglib2.0-data,
            shared-mime-info,
            xdg-user-dirs
Breaks: glib-networking (<< 2.33.12),
        python-gi (<< 3.7.2),
        libgnome-desktop-3-2 (<< 3.4.2-2)
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: GLib library of C routines
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the shared libraries.

Package: libglib2.0-tests
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         shared-mime-info
Pre-Depends: ${misc:Pre-Depends}
Description: GLib library of C routines - installed tests
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains test programs, designed to be run as part of a
 regression testsuite.

Package: libglib2.0-udeb
Build-Profiles: <!noudeb>
Section: debian-installer
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: GLib library of C routines - minimal runtime
 This is a udeb, or a microdeb, for the debian-installer.
 .
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the minimal runtime library needed by the Debian
 installer.

Package: libglib2.0-bin
Section: misc
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libglib2.0-0 (= ${binary:Version}),
         libglib2.0-data
Multi-Arch: foreign
Description: Programs for the GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the program files which is used for the libraries
 and others.

Package: libglib2.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
         libglib2.0-0 (= ${binary:Version}),
         libglib2.0-bin (= ${binary:Version}),
         libglib2.0-dev-bin (= ${binary:Version}),
         libpcre3-dev (>= 1:8.31),
         pkg-config,
         zlib1g-dev
Breaks: libglib2.0-0-dbg (<< 2.51.4-1~)
Replaces: libglib2.0-0-dbg (<< 2.51.4-1~)
Suggests: libglib2.0-doc
Description: Development files for the GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package is needed to compile programs against libglib2.0-0,
 as only it includes the header files and static libraries (optionally)
 needed for compiling.

Package: libglib2.0-dev-bin
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Breaks: libglib2.0-dev (<< 2.51.4-1~)
Replaces: libglib2.0-dev (<< 2.51.4-1~)
Multi-Arch: foreign
Description: Development utilities for the GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package is needed to compile programs against libglib2.0-0. It contains
 development utilities typically run during compilation and should not be
 installed directly. Use libglib2.0-dev instead.

Package: libglib2.0-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Common files for GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package is needed for the runtime libraries to display messages in
 languages other than English.

Package: libglib2.0-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Multi-Arch: foreign
Description: Documentation files for the GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the HTML documentation for the GLib library
 in /usr/share/doc/libglib2.0-doc/ .

Package: libgio-fam
Architecture: hurd-any kfreebsd-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: gamin
Multi-Arch: same
Description: GLib Input, Output and Streaming Library (fam module)
 GIO is the input, output and streaming API of GLib. This package
 provides a fam file and directory monitoring backend for it.
