## glib2.0 2.54.1

=== debian/changelog ===
glib2.0 (2.54.1-1ubuntu1) artful; urgency=medium

  * Merge with debian, remaining changes: (LP: #1701780)
    - exp_git_default_per_desktop*.patch:
      + cherry-pick per-desktop overrides from GNOME #786496
        Allison confirmed the patches will be committed to glib soon
  * debian/patches/01_gettext-desktopfiles.patch:
    - support desktop file action group translations (LP: #1711752)
  * exp_git_default_per_desktop*.patch:
    - refresh and add exp_git_default_per_desktop4.pathc to fix some
      applications using a different way to access the default value
      for a key, and thus, getting a different result which
      doesn't take the per session override in action. Thanks Alberts!
      (LP: #1720256)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 04 Oct 2017 15:49:24 +0200

glib2.0 (2.54.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Bump Standards-Version to 4.1.1

  [ Michael Biebl ]
  * Drop uploaders.mk include as it breaks the clean target.
    Updating the Uploaders list is already handled by the gnome dh addon.

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 02 Oct 2017 12:13:25 -0400

glib2.0 (2.54.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 11 Sep 2017 19:11:00 +0200

glib2.0 (2.53.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/81-skip-monitor-test-on-non-linux.patch:
    + Refreshed.
  * debian/control.in: drop automake and autotools-dev build dependencies,
    dh-autoreconf does that for us.
  * Bump Standards-Version to 4.1.0; no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 09 Sep 2017 15:11:02 +0200

glib2.0 (2.53.6-1) unstable; urgency=medium

  * New upstream release.
  * git_glib-mkenums-utf8.patch, git_glib-mkenums-flags.patch: Drop, now
    applied upstream.
  * debian/rules: Don't pass -X.la to dh_auto_install - it can easily lead to
    unwanted removals (not claiming this is happening here)
  * debian/rules: Fix arguments to dh_auto_test so tests are run again
  * debian/rules, debian/control{,.in}: Use dh_missing and not dh_install
    --list-missing. Also upgrade this check to --fail-missing.
  * debian/rules: Don't run the tests under fakeroot; it makes them fail with
    dbus-related authentication problems.

 -- Iain Lane <laney@debian.org>  Mon, 21 Aug 2017 17:01:22 +0100

glib2.0 (2.53.4-3) unstable; urgency=medium

  [ Matthias Klumpp ]
  * Update Vcs-* URLs

  [ Jeremy Bicha ]
  * Bump Breaks/Replaces: libglib2.0-dev to 2.53 (Closes: #867679)
  * Add git_glib-mkenums-utf8.patch:
    - Backport commit to fix "glib-mkenums: UnicodeDecodeError"
      (Closes: #870310)
  * Add git_glib-mkenums-flags.patch:
    - Backport commit to fix mate-panel FTBFS (Closes: #870212)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 03 Aug 2017 12:21:04 -0400

glib2.0 (2.53.4-2) unstable; urgency=medium

  * Upload to unstable

 -- Matthias Klumpp <mak@debian.org>  Sun, 30 Jul 2017 12:54:22 +0200

glib2.0 (2.53.4-1) experimental; urgency=medium

  * New upstream release 2.53.4
    + Unicode support has been updated to Unicode 10.0.0
    + glib-genmarshal and glib-mkenums have been rewritten in python
    + GLib can now be built with meson. autotools are still supported

 -- Iain Lane <laney@debian.org>  Wed, 19 Jul 2017 17:32:31 +0100

glib2.0 (2.53.3-1) experimental; urgency=medium

  * New upstream release 2.53.3.
  * d/p/0001-gdatetime-Fix-a-potential-overflow-in-overflow-calcu.patch,
    d/p/0002-tests-Fix-GDateTime-overflow-tests-on-32-bit-archite.patch,
    d/p/0003-tests-Fix-overflows-in-find_maximum_supported_tv_sec.patch:
    Cherry-picks to fix some overflow problems in GDateTime on 32 bit arches.

 -- Iain Lane <laney@debian.org>  Fri, 23 Jun 2017 11:09:22 +0100

glib2.0 (2.53.2-1) experimental; urgency=medium

  * New upstream release 2.53.2
    + A few new number parsing functions have been added:
      - g_ascii_string_to_signed
      - g_ascii_string_to_unsigned
      These have better error handling than the existing ones.
    + glib-mkenums now supports /*< private >*/ and /*< public >*/
    + GSettings now consider XDG_DATA_HOME in addition to XDG_DATA_DIRS.
  * debian/libglib2.0-0.symbols: Add new symbols for 2.53.1.
  * debian/patches/skip-broken-dbus-appinfo-test.patch: Drop - this test works
    now.

 -- Iain Lane <laney@debian.org>  Mon, 12 Jun 2017 16:25:21 +0100

glib2.0 (2.53.1-1) experimental; urgency=medium

  * New upstream release 2.53.1
    + The gdbus tool gained a wait command
    + g_unix_signal_source_new support SIGWINCH now
    + There are now g_enum_to_string and g_flags_to_string functions
    + A new function to instantiate objects: g_objet_new_with_properties
    + GParameter and related APIs have been deprecated
  * debian/libglib2.0-0.symbols: Add new symbols for 2.53.1.

 -- Iain Lane <laney@debian.org>  Fri, 05 May 2017 18:04:15 +0100

glib2.0 (2.52.3-1) unstable; urgency=medium

  * New upstream release.
  * skip-brokwn-dbus-appinfo-test.patch,
    tests-gdatetime-Use-a-real-rather-than-invented-time.patch:
    + Dropped, applied upstream.
  * debian/libglib2.0-0.symbols:
    + Add new symbols.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 23 Jun 2017 21:06:46 +0200
