=== debian/control ===
--- 
+++ 
@@ -5,15 +5,14 @@
 Source: glib2.0
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10~),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Matthias Klumpp <mak@debian.org>
+Build-Depends: debhelper (>= 10.3~),
                dh-exec,
                dh-python,
                pkg-config (>= 0.16.0),
                gettext,
-               automake,
-               autotools-dev,
                gnome-pkg-tools (>= 0.11),
                dpkg-dev (>= 1.17.14),
                libelf-dev (>= 0.142),
@@ -37,10 +36,10 @@
                docbook-xml,
                docbook-xsl,
                libffi-dev (>= 3.0.0)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://www.gtk.org/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/experimental/glib2.0/
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/experimental/glib2.0/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/glib2.0/
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/glib2.0/
 
 Package: libglib2.0-0
 Architecture: any
@@ -140,8 +139,8 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-Breaks: libglib2.0-dev (<< 2.51.4-1~)
-Replaces: libglib2.0-dev (<< 2.51.4-1~)
+Breaks: libglib2.0-dev (<< 2.53)
+Replaces: libglib2.0-dev (<< 2.53)
 Multi-Arch: foreign
 Description: Development utilities for the GLib library
  GLib is a library containing many useful C routines for things such
