=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #!/usr/bin/make -f
 
-include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 GNOME_MODULE := glib
@@ -79,10 +78,11 @@
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 override_dh_auto_test:
-	dh_auto_test -- --builddirectory=debian/build/deb -k check -j1
+	# Remove LD_PRELOAD so we don't run with fakeroot, which makes dbus-related tests fail
+	env -u LD_PRELOAD dh_auto_test --builddirectory=debian/build/deb -- -k check -j1
 else
 override_dh_auto_test:
-	dh_auto_test -- --builddirectory=debian/build/deb -k check -j1 || true
+	env -u LD_PRELOAD dh_auto_test --builddirectory=debian/build/deb -- -k check -j1 || true
 endif
 
 # The tests assume this directory exists and is writable
@@ -139,7 +139,7 @@
 		    debian/libglib2.0-0.$$script.in \
 		    > debian/libglib2.0-0.$$script ; \
 	done
-	dh_auto_install -plibglib2.0-tests --sourcedir=debian/build/deb -X.la
+	dh_auto_install -plibglib2.0-tests --sourcedir=debian/build/deb
 ifneq ($(filter %-udeb,$(binaries)),)
 	dh_auto_install -plibglib2.0-udeb --builddirectory=debian/build/udeb --destdir=debian/install/udeb
 endif
@@ -168,10 +168,14 @@
 	rm -fr debian/install/udeb/usr/share/glib-2.0/gdb
 	rm -fr debian/install/udeb/usr/share/glib-2.0/valgrind
 	rm -fr debian/install/udeb/usr/share/man
-	dh_install -plibglib2.0-udeb --sourcedir=debian/install/udeb --list-missing
+	dh_install -plibglib2.0-udeb --sourcedir=debian/install/udeb
 endif
 	# Put the gdb script in .../gdb/auto-load/lib, as we install libglib*.so in there
 	mkdir -p debian/install/deb/usr/share/gdb/auto-load/lib/${DEB_HOST_MULTIARCH}/
 	mv debian/install/deb/usr/share/gdb/auto-load/usr/lib/${DEB_HOST_MULTIARCH}/libglib*so*py \
 		debian/install/deb/usr/share/gdb/auto-load/lib/${DEB_HOST_MULTIARCH}/
-	dh_install --remaining-packages --sourcedir=debian/install/deb --list-missing
+	dh_install --remaining-packages --sourcedir=debian/install/deb
+
+override_dh_missing:
+	dh_missing --sourcedir=debian/install/udeb --fail-missing
+	dh_missing --sourcedir=debian/install/deb --fail-missing
