## glib2.0 2.56.1

=== debian/changelog ===
glib2.0 (2.56.1-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Add alternate B-D and D python3-distutils-extra

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 28 Apr 2018 14:08:37 -0700

glib2.0 (2.56.1-2) unstable; urgency=medium

  [ Tim Lunn ]
  * libglib2.0-0.triggers:use interest-await trigger for schemas

  [ Iain Lane ]
  * debian/patches/tests-network-monitor-Always-use-the-dummy-proxy-res.patch:
    Take patch from upstream to ignore the system's proxy settings for the
    network-monitor test - it's testing an "abstract" network unrelated to the
    system's network, and these settings interfere with that. This fixes a
    failure in the Ubuntu autopkgtest machines, which have a proxy set.

 -- Iain Lane <laney@debian.org>  Tue, 10 Apr 2018 18:12:27 +0100

glib2.0 (2.56.1-1) unstable; urgency=medium

  [ Tim Lunn ]
  * New upstream release
  * Drop patches included in new release
  * libglib2.0-0.triggers: Use interest-noawait triggers, generating caches
    doesn't need to block configuration. flagged by lintian
    uses-implicit-await-trigger warning.

  [ Simon McVittie ]
  * Explicitly use autoconf build system, even with debhelper 11.2
    (see #895174)

 -- Tim Lunn <tim@feathertop.org>  Mon, 09 Apr 2018 19:03:24 +1000

glib2.0 (2.56.0-6) unstable; urgency=medium

  * Team upload
  * d/p/0002-gapplication-Tighten-up-application-ID-validation.patch:
    Transliterate commit message into ASCII so git-buildpackage doesn't
    export it as a blob of base64
  * d/p/g_test_dbus_down-Ensure-next-test-does-not-use-old-c.patch:
    Add patch to address a race condition that sometimes makes D-Bus-based
    tests fail (Closes: #894677)
  * d/patches: Improve metadata on various patches

 -- Simon McVittie <smcv@debian.org>  Thu, 05 Apr 2018 09:24:45 +0100

glib2.0 (2.56.0-5) unstable; urgency=medium

  [ Simon McVittie ]
  * Use `set -e` in the (empty) prerm to avoid a Lintian warning
  * Add Lintian override for the empty prerm used to work around
    #887629

  [ Michael Biebl ]
  * Stop installing libglib to /lib.
    Late mounting of /usr is no longer supported, so this is not necessary
    anymore.
  * Drop maintscript migration code from pre-jessie.
  * Drop obsolete Breaks.

 -- Michael Biebl <biebl@debian.org>  Sun, 01 Apr 2018 17:59:50 +0200

glib2.0 (2.56.0-4) unstable; urgency=medium

  * Fix typo: libglib2.0-dev-bin Depends on python3-distutils, not
    distuils (Closes: #893773)
  * Restore `set -x` in debian/tests/build

 -- Simon McVittie <smcv@debian.org>  Thu, 22 Mar 2018 09:08:05 +0000

glib2.0 (2.56.0-3) unstable; urgency=medium

  [ Iain Lane ]
  * debian/tests/build: Add Restrictions: allow-stderr. We run this test with
    `set -x', which outputs to stderr, and would like to continue doing so.

  [ Jeremy Bicha ]
  * Depend and Build-Depend on python3-distutils to fix build failures
    since python3 no longer depends on python3-distutils (Closes: #893736)

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 22 Mar 2018 00:27:02 -0400

glib2.0 (2.56.0-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Merge from experimental to unstable
  * d/tests/build: Don't rely on having unmerged /usr
  * d/watch: Only watch for stable releases
  * d/gbp.conf: Use debian/master, upstream/2.56.x branches
  * d/control: Update Vcs-* for default branch

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 17 Mar 2018 08:49:26 -0400

glib2.0 (2.56.0-1) experimental; urgency=medium

  * Team upload
  * New upstream stable release 2.56.0
  * d/p/000?-gdbus-tool-*.patch:
    Drop patches that came from upstream
  * Refresh remaining patches
  * d/p/0001-tests-Use-modern-test-assertions-in-GApplication-tes.patch,
    d/p/0002-gapplication-Tighten-up-application-ID-validation.patch:
    Cherry-pick GApplication ID fixes from upstream 2.56 branch
    (GNOME #793400)

 -- Simon McVittie <smcv@debian.org>  Tue, 13 Mar 2018 18:53:02 +0000

glib2.0 (2.55.2-2) experimental; urgency=medium

  * Merge changes from unstable, in particular:
    + d/libglib2.0-dev.prerm: Add an empty prerm to make sure that we have a
      way to recover from #887629 in stretch (Closes: #887863)
  * d/p/0001-gdbus-tool-Ignore-unknown-options-for-the-emit-subco.patch,
    d/p/0002-gdbus-tool-Make-dest-optional-for-emit-again.patch,
    d/p/0003-gdbus-tool-Don-t-repeatedly-complete-signal.patch,
    d/p/0004-gdbus-tool-Factor-out-common-GOptionContext-construc.patch:
    Cherry-pick from upstream. Fix `gdbus emit' to not require `--dest', and
    improve its bash completion. Should fix the dbus-test-runner autopkgtest,
    which relied on this behaviour.

 -- Iain Lane <laney@debian.org>  Thu, 22 Feb 2018 10:02:17 +0000

glib2.0 (2.55.2-1) experimental; urgency=medium

  * debian/control{,.in}: Update Vcs-* to specify debian/experimental branch.
  * New upstream release 2.55.2:
    + GFile now has API to get the path without copying
  * debian/patches/gdbus-threading-test-Allow-even-longer-for-test_method_ca.patch,
    debian/patches/gdatetime-Avoid-repeated-floating-point-multiplies-w.patch,
    debian/patches/gdatetime-Mark-the-usecs-as-volatile.patch:
    Drop, applied upstream in this release.
  * debian/libglib2.0-0.symbols: New symbols for 2.55.2

 -- Iain Lane <laney@debian.org>  Thu, 15 Feb 2018 10:23:05 +0000

glib2.0 (2.55.1-1) experimental; urgency=medium

  * debian/gbp.conf, debian/watch: Update for experimental
  * New upstream development release 2.55.1
  * debian/libglib2.0-0.symbols: Update with new symbols in this release.
  * debian/patches/gdatetime-Avoid-repeated-floating-point-multiplies-w.patch,
    debian/patches/gdatetime-Mark-the-usecs-as-volatile.patch: Cherry-pick two
    patches from upstream. Fix some precision problems within GDateTime, that
    in some cases resulted in incorrect answers on i386.

 -- Iain Lane <laney@debian.org>  Mon, 15 Jan 2018 12:26:35 +0000

glib2.0 (2.54.3-2) unstable; urgency=medium

  * Team upload

