=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Source: glib2.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Matthias Klumpp <mak@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10.3~),
                dh-exec,
                dh-python,
@@ -30,16 +30,18 @@
                xterm <!nocheck>,
                python3:any (>= 2.7.5-5~),
                python3-dbus <!nocheck>,
+               python3-distutils | python3-distutils-extra,
                python3-gi <!nocheck>,
                libxml2-utils,
                xsltproc,
                docbook-xml,
                docbook-xsl,
                libffi-dev (>= 3.0.0)
-Standards-Version: 4.1.1
+# Rules-Requires-Root: no
+Standards-Version: 4.1.3
 Homepage: http://www.gtk.org/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/glib2.0/
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/glib2.0/
+Vcs-Browser: https://salsa.debian.org/gnome-team/glib
+Vcs-Git: https://salsa.debian.org/gnome-team/glib.git
 
 Package: libglib2.0-0
 Architecture: any
@@ -48,9 +50,6 @@
 Recommends: libglib2.0-data,
             shared-mime-info,
             xdg-user-dirs
-Breaks: glib-networking (<< 2.33.12),
-        python-gi (<< 3.7.2),
-        libgnome-desktop-3-2 (<< 3.4.2-2)
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Description: GLib library of C routines
@@ -139,8 +138,11 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-Breaks: libglib2.0-dev (<< 2.53)
-Replaces: libglib2.0-dev (<< 2.53)
+         python3-distutils | python3-distutils-extra
+Breaks: libglib2.0-bin (<< 2.54.2-5~),
+        libglib2.0-dev (<< 2.53)
+Replaces: libglib2.0-bin (<< 2.54.2-5~),
+          libglib2.0-dev (<< 2.53)
 Multi-Arch: foreign
 Description: Development utilities for the GLib library
  GLib is a library containing many useful C routines for things such
