## glib2.0 2.56.4

=== debian/changelog ===
glib2.0 (2.56.4-0ubuntu0.18.04.9) bionic-security; urgency=medium

  * SECURITY UPDATE: Privilege Escalation
    - debian/patches/CVE-2021-3800.patch: Drop a redundant environment
      variable in _g_locale_get_charset_aliases function at
      libcharset/localcharset.c.
    - CVE-2021-3800

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Mon, 29 Nov 2021 13:42:57 -0300

glib2.0 (2.56.4-0ubuntu0.18.04.8) bionic-security; urgency=medium

  * SECURITY UPDATE: incorrect g_file_replace() symlink handling
    - debian/patches/CVE-2021-28153-pre1.patch: allow g_test_bug() to be
      used without g_test_bug_base() in /glib/gtestutils.c.
    - debian/patches/CVE-2021-28153-1.patch: fix a typo in a comment in
      gio/glocalfileoutputstream.c.
    - debian/patches/CVE-2021-28153-2.patch: stop using g_test_bug_base()
      in file tests in gio/tests/file.c.
    - debian/patches/CVE-2021-28153-3.patch: factor out a flag check in
      gio/glocalfileoutputstream.c.
    - debian/patches/CVE-2021-28153-4.patch: fix CREATE_REPLACE_DESTINATION
      with symlinks in gio/glocalfileoutputstream.c, gio/tests/file.c.
    - debian/patches/CVE-2021-28153-5.patch: add a missing O_CLOEXEC flag
      to replace() in gio/glocalfileoutputstream.c.
    - CVE-2021-28153

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 12 Mar 2021 12:27:31 -0500

glib2.0 (2.56.4-0ubuntu0.18.04.7) bionic-security; urgency=medium

  * SECURITY UPDATE: g_byte_array_new_take length truncation
    - debian/patches/CVE-2021-2721x/CVE-2021-27218.patch: do not accept too
      large byte arrays in glib/garray.c, glib/gbytes.c,
      glib/tests/bytes.c.
    - CVE-2021-27218
  * SECURITY UPDATE: integer overflow in g_bytes_new
    - debian/patches/CVE-2021-2721x/CVE-2021-27219*.patch: add internal
      g_memdup2() function and use it instead of g_memdup() in a bunch of
      places.
    - CVE-2021-27219

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 03 Mar 2021 06:29:59 -0500

glib2.0 (2.56.4-0ubuntu0.18.04.6) bionic-security; urgency=medium

  * No-change rebuild for -security

 -- Alex Murray <alex.murray@canonical.com>  Tue, 24 Mar 2020 11:27:40 +1030

glib2.0 (2.56.4-0ubuntu0.18.04.5) bionic; urgency=medium

  [ Gunnar Hjalmarsson ]
  * d/p/gcredentialsprivate-Document-the-various-private-macros.patch,
    d/p/credentials-Invalid-Linux-struct-ucred-means-no-informati.patch,
    d/p/GDBus-prefer-getsockopt-style-credentials-passing-APIs.patch:
    - Ensure libdbus clients can authenticate with a GDBusServer like
      the one in ibus. The patches cherry picked from 2.62.2-2 in focal
      in order to allow the ibus fix of CVE-2019-14822 to be re-enabled
      without breaking ibus for Qt applications (LP: #1844853).

  [ Iain Lane ]
  * d/p/Add-a-test-for-GDBusServer-authentication.patch: Additionally backport
    this commit to add a test for the above fixes.
    + BD on libdbus-1-dev so that the above test gets run properly.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 31 Oct 2019 00:16:00 +0100

glib2.0 (2.56.4-0ubuntu0.18.04.4) bionic-security; urgency=medium

  * SECURITY UPDATE: Not properly restrict directory and file permissions
    - debian/patches/CVE-2019-13012.patch: changes the permissions when
      a directory is created, using 700 instead 777 in
      gio/gkeyfilesettingsbackend.c and changes test to run in a temp
      directory in gio/tests/gsettings.c.
    - CVE-2019-13012

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 03 Jul 2019 15:50:24 -0300

glib2.0 (2.56.4-0ubuntu0.18.04.3) bionic-security; urgency=medium

  * SECURITY UPDATE: Less restrictive permissions during copying
    - debian/patches/CVE-2019-12450.patch: limit access to file when
      copying in file_copy_fallback in file gio/gfile.c.
    - CVE-2019-12450

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 05 Jun 2019 13:47:02 -0300

glib2.0 (2.56.4-0ubuntu0.18.04.2) bionic; urgency=medium

  * Backport upstream patches to fix GVariant alignment tests
    d/p/gvariant-test-Also-force-alignment-for-tuple-test-data.patch,
    d/p/tests-Allocate-gvariant-data-from-the-heap-to-guarantee-a.patch:
    Cherry-pick.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 22 Mar 2019 12:17:34 +0000

glib2.0 (2.56.4-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1816547)
    + Various buffer overflow fixes in GMarkup/GVariant/GDBus
    + Fix "Moving a bookmark item to the same URI causes a crash" (LP:
      #1760569)
  * debian/libglib2.0-0.symbols: New symbols

 -- Iain Lane <iain.lane@canonical.com>  Tue, 26 Feb 2019 11:59:03 +0000

glib2.0 (2.56.3-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1794544)
    + The documentation for G_GNUC_MALLOC has changed to be more restrictive
      to avoid miscompilations; you should check whether any uses of it in
      your code are appropriate
    + Fix cancellation of g_subprocess_communicate_async() calls
    + Bug fixes:
      + /network-monitor/create-in-thread fails in (LXC) containers on glib-2-56
      + GBookmarkFile: nullptr access in current_element
      + GBookmarkFile: heap-buffer-overflow in g_utf8_get_char
      + Backport g_subprocess_communicate() cancellation fixes from !266 to
        glib-2-56 (LP: #1789476)
      + Many uses of G_GNUC_MALLOC are incorrect
      + Test for BROKEN_IP_MREQ_SOURCE_STRUCT is broken on Windows / Mingw
      + Fix persistent CI failure on glib-2-56
  * debian/watch: Only find 2.56 versions.
  * Drop CVE-2018-16428.patch and CVE-2018-16429.patch: applied in this release

 -- Iain Lane <iain.lane@canonical.com>  Wed, 26 Sep 2018 17:35:59 +0100

glib2.0 (2.56.2-0ubuntu0.18.04.2) bionic-security; urgency=medium

  * SECURITY UPDATE: NULL pointer deference
    - debian/patches/CVE-2018-16428.patch: fix in glib/gmarkup.c,
      glib/tests/Makefile.am,
      glib/tests/markups/fail-51.expected,
      glib/tests/markups/fail-51.gmarkup.
    - CVE-2018-16428

