=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: glib2.0
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper (>= 10.3~),
                dh-exec,
                dh-python,
@@ -25,23 +25,26 @@
                zlib1g-dev,
                desktop-file-utils <!nocheck>,
                dbus <!nocheck>,
+               libdbus-1-dev <!nocheck>,
                shared-mime-info <!nocheck>,
                tzdata <!nocheck>,
                xterm <!nocheck>,
                python3:any (>= 2.7.5-5~),
                python3-dbus <!nocheck>,
-               python3-distutils | python3-distutils-extra,
+               python3-distutils,
                python3-gi <!nocheck>,
                libxml2-utils,
                xsltproc,
                docbook-xml,
                docbook-xsl,
                libffi-dev (>= 3.0.0)
-# Rules-Requires-Root: no
+Rules-Requires-Root: no
 Standards-Version: 4.1.3
 Homepage: http://www.gtk.org/
-Vcs-Browser: https://salsa.debian.org/gnome-team/glib
-Vcs-Git: https://salsa.debian.org/gnome-team/glib.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/glib
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/glib.git
+Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/glib2.0 -b ubuntu/bionic
+Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/glib2.0
 
 Package: libglib2.0-0
 Architecture: any
@@ -138,7 +141,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-         python3-distutils | python3-distutils-extra
+         python3-distutils
 Breaks: libglib2.0-bin (<< 2.54.2-5~),
         libglib2.0-dev (<< 2.53)
 Replaces: libglib2.0-bin (<< 2.54.2-5~),
