=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ --with gnome,python3
+	dh $@ --with gnome,python3 --buildsystem=autoconf
 
 override_dh_auto_configure:
 	dh_auto_configure \
@@ -77,13 +77,20 @@
 export DBUS_SESSION_BUS_ADDRESS=this-should-not-be-used-and-will-fail:
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
-override_dh_auto_test:
+override_dh_auto_test-arch:
 	# Remove LD_PRELOAD so we don't run with fakeroot, which makes dbus-related tests fail
-	env -u LD_PRELOAD dh_auto_test --builddirectory=debian/build/deb -- -k check -j1
+	env -u LD_PRELOAD DEB_BUILD_TIME_TESTS=1 \
+	dh_auto_test --builddirectory=debian/build/deb -- -k check -j1
 else
-override_dh_auto_test:
-	env -u LD_PRELOAD dh_auto_test --builddirectory=debian/build/deb -- -k check -j1 || true
+override_dh_auto_test-arch:
+	env -u LD_PRELOAD DEB_BUILD_TIME_TESTS=1 \
+	dh_auto_test --builddirectory=debian/build/deb -- -k check -j1 || true
 endif
+
+# Skip build-time tests if all we are building is documentation; running
+# them once per architecture is plenty
+override_dh_auto_test-indep:
+	@:
 
 # The tests assume this directory exists and is writable
 export XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp-xdg-runtime-dir
@@ -98,18 +105,17 @@
 			--with-python=/usr/bin/python3 \
 			--with-pcre=system
 
-ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
-  DEB_CONFIGURE_EXTRA_FLAGS += \
-			--disable-modular-tests \
-			--disable-gtk-doc
-endif
-
 DEB_CONFIGURE_FLAGS_deb := \
-			--enable-gtk-doc \
 			--enable-static \
 			--enable-installed-tests \
 			--enable-always-build-tests \
 			--enable-debug=minimum
+
+ifneq ($(filter libglib2.0-doc,$(binaries)),)
+DEB_CONFIGURE_FLAGS_deb += --enable-gtk-doc
+else
+DEB_CONFIGURE_FLAGS_deb += --disable-gtk-doc
+endif
 
 # libmount is available on linux only
 ifeq ($(DEB_HOST_ARCH_OS), linux)
@@ -123,7 +129,8 @@
 
 DEB_CONFIGURE_FLAGS_udeb := \
 			--disable-selinux \
-			--disable-libmount
+			--disable-libmount \
+			--disable-gtk-doc
 
 override_dh_auto_build:
 	mkdir -p debian/tmp-xdg-runtime-dir
@@ -150,16 +157,12 @@
 
 override_dh_install:
 	# Unwanted bits from the .deb build
-	rm -f debian/install/deb/lib/*/*.la
 	rm -f debian/install/deb/usr/lib/*/*.la
 	rm -f debian/install/deb/usr/lib/glib2.0/installed-tests/glib/*.la
 	rm -f debian/install/deb/usr/lib/glib2.0/installed-tests/glib/modules/*.la
 	rm -fr debian/install/deb/usr/share/glib-2.0/codegen/__pycache__
-	# Re-created by .links to point into /lib
-	rm -f debian/install/deb/usr/lib/*/libglib-2.0.so
 ifneq ($(filter %-udeb,$(binaries)),)
 	# Unwanted bits from the .udeb build
-	rm -f debian/install/udeb/lib/*/*.la
 	rm -f debian/install/udeb/usr/lib/*/*.la
 	rm -f debian/install/udeb/usr/lib/*/*.so
 	rm -fr debian/install/udeb/usr/share/gdb
